package de.intevation.flys.client.client.ui;

public class UIProviderFactory {

    private UIProviderFactory() {
    }

    public static UIProvider getProvider(String uiProvider) {
        if (uiProvider == null || uiProvider.equals("")) {
            return new SelectProvider();
        }
        else if (uiProvider.equals("select_with_map")) {
            return new MapSelection();
        }
        else {
            return new SelectProvider();
        }
    }
}
